OTBGUI_RASTERIZATION(1)

NAME
otbgui_Rasterization - OTB Rasterization application

DESCRIPTION
This is the Rasterization application, version 5.2.0 Rasterize a vector dataset.

Complete documentation: http://www.orfeo-toolbox.org/Applications/Rasterization.html

  Parameters:

-progress
    <boolean> Report progress

 -in <string> Input vector dataset (mandatory)
 -out <string> [pixel] Output image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-im <string> Input reference image (optional, off by default)

-szx
    <int32> Output size x (optional, off by default)

-szy
    <int32> Output size y (optional, off by default)

-epsg
    <int32> Output EPSG code (optional, off by default)

-orx
    <float> Output Upper-left x (optional, off by default)

-ory
    <float> Output Upper-left y (optional, off by default)

-spx
    <float> Spacing (GSD) x (optional, off by default)

-spy
    <float> Spacing (GSD) y (optional, off by default)

-background
    <float> Background value (mandatory, default value is 0)

-mode
    <string> Rasterization mode [binary/attribute] (mandatory, default value is binary)

-mode.binary.foreground <float>
    Foreground value (mandatory, default value is 255)

-mode.attribute.field
    <string> The attribute field to burn (mandatory, default value is DN)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbgui_Rasterization -in qb_RoadExtract_classification.shp -out rasterImage.tif -spx 1. -spy 1.

SEE ALSO
The full documentation for otbgui_Rasterization is maintained as a Texinfo manual. If the info and otbgui_Rasterization programs are properly installed at your site, the command

    info otbgui_Rasterization

should give you access to the complete manual.